<?php

namespace App\Policies;

use App\Models\User\Role;
use App\Models\User\User;

class RolePolicy {
    public function view(User $user) {
        return $user->can('roles.view');
    }

    public function edit(User $user, Role $role) {
        return $user->can('roles.update');
    }

    public function create(User $user) {
        return $user->can('roles.create');
    }

    public function delete(User $user, Role $role) {
        return $user->can('roles.delete');
    }
}
